Permalink
Browse files

removed vendored handlebars, gemified ember-data. no longer test with

jQuery 1.7 since hasn't been compatible with Ember for a while
  • Loading branch information...
machty committed Feb 26, 2013
1 parent 73ad70c commit 12c006f2b23eb354272696e8c3f1a80d1a1b25ee
Showing with 46 additions and 2,001 deletions.
  1. +1 −0 .gitignore
  2. +3 −0 Gemfile
  3. +13 −7 Gemfile.lock
  4. +18 −0 ember-data-source.gemspec
  5. +2 −2 ember-dev.yml
  6. +9 −0 lib/ember/data/source.rb
  7. +0 −1,992 lib/handlebars-1.0.rc.2.js
View
@@ -10,3 +10,4 @@ dist/
.github-upload-token
tests/ember-data-tests.js
+*gem
View
@@ -2,3 +2,6 @@ source "https://rubygems.org"
gem "rake-pipeline", :git => "https://github.com/livingsocial/rake-pipeline.git"
gem "ember-dev", :git => "https://github.com/emberjs/ember-dev.git", :branch => "master"
+
+# Change to "1.0.0.rc1.2" to test rc1
+gem "ember-source", "1.0.0.pre4.2"
View
@@ -1,12 +1,14 @@
GIT
remote: https://github.com/emberjs/ember-dev.git
- revision: d0cd62116bce700680393badbf18278b84f31785
+ revision: a0e3e6816bfd093d7a732b77d7f08395ab48a61e
branch: master
specs:
ember-dev (0.1)
colored
+ ember-source
execjs
grit
+ handlebars-source
kicker
rack
rake-pipeline (~> 0.8.0)
@@ -26,21 +28,24 @@ GEM
remote: https://rubygems.org/
specs:
colored (1.2)
- diff-lcs (1.2.0)
+ diff-lcs (1.2.1)
+ ember-source (1.0.0.pre4.2)
+ handlebars-source (>= 1.0.0.rc2, < 1.0.0.rc3)
execjs (1.4.0)
multi_json (~> 1.0)
grit (2.5.0)
diff-lcs (~> 1.1)
mime-types (~> 1.15)
posix-spawn (~> 0.3.6)
- json (1.7.6)
+ handlebars-source (1.0.0.rc.2)
+ json (1.7.7)
kicker (2.6.1)
listen
- listen (0.7.2)
- mime-types (1.20.1)
- multi_json (1.5.0)
+ listen (0.7.3)
+ mime-types (1.21)
+ multi_json (1.6.1)
posix-spawn (0.3.6)
- rack (1.5.1)
+ rack (1.5.2)
rake (10.0.3)
rake-pipeline-web-filters (0.7.0)
rack
@@ -55,4 +60,5 @@ PLATFORMS
DEPENDENCIES
ember-dev!
+ ember-source (= 1.0.0.pre4.2)
rake-pipeline!
View
@@ -0,0 +1,18 @@
+# -*- encoding: utf-8 -*-
+require 'json'
+
+Gem::Specification.new do |gem|
+ gem.name = "ember-data-source"
+ gem.authors = ["Yehuda Katz"]
+ gem.email = ["wycats@gmail.com"]
+ gem.date = Time.now.strftime("%Y-%m-%d")
+ gem.summary = %q{ember-data source code wrapper.}
+ gem.description = %q{ember-data source code wrapper for use with Ruby libs.}
+ gem.homepage = "https://github.com/emberjs/data"
+ gem.version = "0.0.5"
+
+ gem.add_dependency "ember-source"
+
+ gem.files = Dir['dist/ember-data*.js']
+ gem.files << 'lib/ember/data/source.rb'
+end
View
@@ -6,9 +6,9 @@ testing_suites:
- "package=all"
all:
- "package=all"
- - "package=all&jquery=1.7.2&nojshint=true"
+ - "package=all&jquery=1.8.0&nojshint=true"
- "package=all&extendprototypes=true&nojshint=true"
- - "package=all&extendprototypes=true&jquery=1.7.2&nojshint=true"
+ - "package=all&extendprototypes=true&jquery=1.8.0&nojshint=true"
- "package=all&dist=build&nojshint=true"
testing_packages:
- ember-data
View
@@ -0,0 +1,9 @@
+module Ember
+ module Data
+ module Source
+ def self.bundled_path_for(distro)
+ File.expand_path("../../../../dist/#{distro}", __FILE__)
+ end
+ end
+ end
+end
Oops, something went wrong.

0 comments on commit 12c006f

Please sign in to comment.